import { jsx } from "react/jsx-runtime";
import { TokenREF as TokenREF$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenREF = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "REF", "data-name": "TokenREF", ...props, children: /* @__PURE__ */ jsx(TokenREF$1, { variant }) });
  }
);
TokenREF.displayName = "TokenREF";
Object.assign(TokenREF, { isGdsIcon: true });
export {
  TokenREF
};
